Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156316 - Add links for CVE id's to appropriate CVE id (TEST CAN-2005-0001)
Summary: Add links for CVE id's to appropriate CVE id (TEST CAN-2005-0001)
Keywords:
Status: CLOSED DUPLICATE of bug 624597
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 3.6
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: Simon Green
QA Contact: Kevin Baker
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-28 20:48 UTC by Josh Bressers
Modified: 2014-12-01 23:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-15 00:55:47 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-04-28 20:48:13 UTC
When we file security bugs, we usually have a CVE ID in the Summary (sometimes
there are ID's in the Description and comments).  It would be nice if the CVE
id's could be a link to MITRE's site.

IE:
CAN-XXXX-XXXX
CVE-XXXX-XXXX

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-XXXX-XXXX

Comment 1 David Lawrence 2005-04-29 19:13:17 UTC
Testing CVE-1234-1234 CAN-1234-1234

Comment 2 Josh Bressers 2005-04-29 19:14:19 UTC
That is awesome.  Will it work if the id is in the Summary?

Comment 3 David Lawrence 2005-04-29 19:36:43 UTC
Not sure, at first it doesnt seem so beacuase the summary is html filtered to
prevent cross site scripting attacks. I will need to look deeper and see if it
can be done. Comments are easy cause there is already a nice interface for
adding additional recipes for auto linking things.

Comment 4 Josh Bressers 2005-04-29 19:40:31 UTC
If not, don't worry about it too much.  I'll just make sure I put the CVE ID in
a comment as well as the summary.

Comment 5 David Lawrence 2008-09-16 16:52:33 UTC
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.

Comment 6 David Lawrence 2010-01-15 17:33:29 UTC
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this feature will need to be implemented against the new release.
Updating bug version to 3.2.

Comment 7 David Lawrence 2010-08-25 21:41:57 UTC
Red Hat has now upgraded to Bugzilla 3.6 and this bug will now be reassigned to that version. It would be helpful to the Bugzilla Development Team if this bug is verified to still be an issue with the latest version. If it is no longer an issue, then feel free to close, otherwise please comment that it is still a problem and we will try to address the issue as soon as we can.

Thanks
Bugzilla Development Team

Comment 9 Jeff Fearn 🐞 2012-05-30 04:42:01 UTC
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.

Comment 10 Simon Green 2012-06-15 00:55:47 UTC

*** This bug has been marked as a duplicate of bug 624597 ***


Note You need to log in before you can comment on or make changes to this bug.